namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;

    
    [Serialized]
    [Weight(100)]                                          
    public partial class FishbreadItem :
        FoodItem            
    {
        public override LocString DisplayName                     { get { return Localizer.DoStr("Fish Bread"); } }
        public override LocString DisplayDescription                      { get { return Localizer.DoStr("A Simple Bread with Fish."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 9, Fat = 6, Protein = 5, Vitamins = 3};
        public override float Calories                          { get { return 550; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(AdvancedCampfireCookingSkill), 2)]    
    public partial class FishbreadRecipe : Recipe
    {
        public FishbreadRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<FishbreadItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<WheatItem>(typeof(AdvancedCampfireCookingSkill), 30, AdvancedCampfireCookingSkill.MultiplicativeStrategy),
                new CraftingElement<RawFishItem>(typeof(AdvancedCampfireCookingSkill), 3, AdvancedCampfireCookingSkill.MultiplicativeStrategy), 
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(FishbreadRecipe), Item.Get<FishbreadItem>().UILink(), 5, typeof(AdvancedCampfireCookingSkill)); 
            this.Initialize(Localizer.DoStr("Fish Bread"), typeof(FishbreadRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}