namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;

    
    [Serialized]
    [Weight(500)]                                          
    public partial class FishFiletItem :
        FoodItem            
    {
        public override LocString DisplayName                     { get { return Localizer.DoStr("Fish Filet"); } }
        public override LocString DisplayDescription                      { get { return Localizer.DoStr("Fish Filet."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 0, Fat = 9, Protein = 13, Vitamins = 0};
        public override float Calories                          { get { return 550; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    //[RequiresSkill(typeof(FishingSkill), 3)]    
    public partial class FishFiletRecipe : Recipe
    {
        public FishFiletRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<FishFiletItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<RawFishItem> (1)
            };
            this.CraftMinutes = new ConstantValue(3);
            this.Initialize(Localizer.DoStr("Fish Filet"), typeof(FishFiletRecipe));
            CraftingComponent.AddRecipe(typeof(FisheryObject), this);
        }
    }
}