namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;

    
    [Serialized]
    [Weight(500)]                                          
    public partial class FishTacosItem :
        FoodItem            
    {
        public override LocString DisplayName                     { get { return Localizer.DoStr("Fish Tacos"); } }
        public override LocString DisplayDescription                      { get { return Localizer.DoStr("Tacos, but with fish!"); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 15, Fat = 5, Protein = 3, Vitamins = 7};
        public override float Calories                          { get { return 1500; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(AdvancedCookingSkill), 1)]    
    public partial class FishTacosRecipe : Recipe
    {
        public FishTacosRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<FishTacosItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<RawFishItem>(typeof(AdvancedCookingSkill), 10, AdvancedCookingSkill.MultiplicativeStrategy), 
				new CraftingElement<FlatbreadItem>(typeof(AdvancedCookingSkill), 10, AdvancedCookingSkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(FishTacosRecipe), Item.Get<FishTacosItem>().UILink(), 5, typeof(AdvancedCookingSkill)); 
            this.Initialize(Localizer.DoStr("Fish Tacos"), typeof(FishTacosRecipe));
            CraftingComponent.AddRecipe(typeof(CastIronStoveObject), this);
        }
    }
}