namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;

    
    [Serialized]
    [Weight(500)]                                          
    public partial class OkanaganGreenBeanItem :
        FoodItem            
    {
        public override LocString DisplayName                     { get { return Localizer.DoStr("Okanagan Green Beans"); } }
        public override LocString DisplayDescription                      { get { return Localizer.DoStr("Fish, herbs, and beans."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 8, Fat = 15, Protein = 15, Vitamins = 3};
        public override float Calories                          { get { return 1500; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(AdvancedCookingSkill), 3)]    
    public partial class OkanaganGreenBeanRecipe : Recipe
    {
        public OkanaganGreenBeanRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<OkanaganGreenBeanItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<FishFiletItem>(typeof(AdvancedCookingSkill), 10, AdvancedCookingSkill.MultiplicativeStrategy), 
				new CraftingElement<BeansItem>(typeof(AdvancedCookingSkill), 8, AdvancedCookingSkill.MultiplicativeStrategy),
				new CraftingElement<PlantFibersItem>(typeof(AdvancedCookingSkill), 5, AdvancedCookingSkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(OkanaganGreenBeanRecipe), Item.Get<OkanaganGreenBeanItem>().UILink(), 5, typeof(AdvancedCookingSkill)); 
            this.Initialize(Localizer.DoStr("Okanagan Green Beans"), typeof(OkanaganGreenBeanRecipe));
            CraftingComponent.AddRecipe(typeof(CastIronStoveObject), this);
        }
    }
}