namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;

    
    [Serialized]
    [Weight(500)]                                          
    public partial class PoachedFishItem :
        FoodItem            
    {
        public override LocString DisplayName                     { get { return Localizer.DoStr("Poached Fish"); } }
        public override LocString DisplayDescription                      { get { return Localizer.DoStr("Poached Fish."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 6, Fat = 12, Protein = 18, Vitamins = 6};
        public override float Calories                          { get { return 1500; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(AdvancedCookingSkill), 1)]    
    public partial class PoachedFishRecipe : Recipe
    {
        public PoachedFishRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<PoachedFishItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<FishFiletItem>(typeof(AdvancedCookingSkill), 10, AdvancedCookingSkill.MultiplicativeStrategy), 
				new CraftingElement<TallowItem>(typeof(AdvancedCookingSkill), 8, AdvancedCookingSkill.MultiplicativeStrategy),
				new CraftingElement<PlantFibersItem>(typeof(AdvancedCookingSkill), 5, AdvancedCookingSkill.MultiplicativeStrategy),
				new CraftingElement<TomatoItem>(typeof(AdvancedCookingSkill), 5, AdvancedCookingSkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(PoachedFishRecipe), Item.Get<PoachedFishItem>().UILink(), 5, typeof(AdvancedCookingSkill)); 
            this.Initialize(Localizer.DoStr("Poached Fish"), typeof(PoachedFishRecipe));
            CraftingComponent.AddRecipe(typeof(CastIronStoveObject), this);
        }
    }
}