namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;

    
    [Serialized]
    [Weight(100)]                                          
    public partial class SushiRiceItem :
        FoodItem            
    {
        public override LocString DisplayName                     { get { return Localizer.DoStr("Sushi Rice"); } }
        public override LocString DisplayDescription                      { get { return Localizer.DoStr("A Tasty Raw Fish Meal with Rice"); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 0, Fat = 6, Protein = 5, Vitamins = 4};
        public override float Calories                          { get { return 470; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

     
    public partial class SushiRiceRecipe : Recipe
    {
        public SushiRiceRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<SushiRiceItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<BeetItem>(1), 
				new CraftingElement<RawFishItem>(1),
				new CraftingElement<RiceItem>(1),
            };
            this.CraftMinutes = new ConstantValue (2); 
            this.Initialize(Localizer.DoStr("Sushi Rice"), typeof(SushiRiceRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}