namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;

    
    [Serialized]
    [Weight(900)]                                          
    public partial class SushiUrchinItem :
        FoodItem            
    {
        public override LocString DisplayName                     { get { return Localizer.DoStr("Sushi with Urchins"); } }
        public override LocString DisplayDescription                      { get { return Localizer.DoStr("A Tasty Sushi mix with Urchins"); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 12, Fat = 8, Protein = 9, Vitamins = 13};
        public override float Calories                          { get { return 1200; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(AdvancedCookingSkill), 3)]    
    public partial class SushiUrchinRecipe : Recipe
    {
        public SushiUrchinRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<SushiUrchinItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
				new CraftingElement<UrchinItem>(typeof(AdvancedCookingSkill), 20, AdvancedCookingSkill.MultiplicativeStrategy),
                new CraftingElement<WheatItem>(typeof(AdvancedCookingSkill), 10, AdvancedCookingSkill.MultiplicativeStrategy), 
			    new CraftingElement<PlantFibersItem>(typeof(AdvancedCookingSkill), 10, AdvancedCookingSkill.MultiplicativeStrategy), 
				new CraftingElement<RiceItem>(typeof(AdvancedCookingSkill), 8, AdvancedCookingSkill.MultiplicativeStrategy), 
				new CraftingElement<VegetableMedleyItem>(typeof(AdvancedCookingSkill), 8, AdvancedCookingSkill.MultiplicativeStrategy), 
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(SushiUrchinRecipe), Item.Get<SushiUrchinItem>().UILink(), 10, typeof(AdvancedCookingSkill)); 
            this.Initialize(Localizer.DoStr("Sushi with Urchins"), typeof(SushiUrchinRecipe));
            CraftingComponent.AddRecipe(typeof(CastIronStoveObject), this);
        }
    }
}