namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;

    
    [Serialized]
    [Weight(500)]                                          
    public partial class TomatoSUPREMEItem :
        FoodItem            
    {
        public override LocString DisplayName                     { get { return Localizer.DoStr("Tomato S U P R E M E"); } }
        public override LocString DisplayDescription                      { get { return Localizer.DoStr("There is a lot Tomatos in it."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 15, Fat = 10, Protein = 10, Vitamins = 26};
        public override float Calories                          { get { return 1200; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(AdvancedCookingSkill), 4)]    
    public partial class TomatoSUPREMERecipe : Recipe
    {
        public TomatoSUPREMERecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<TomatoSUPREMEItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<FishFiletItem>(typeof(AdvancedCookingSkill), 10, AdvancedCookingSkill.MultiplicativeStrategy),
                new CraftingElement<VegetableMedleyItem>(typeof(AdvancedCookingSkill), 5, AdvancedCookingSkill.MultiplicativeStrategy),
                new CraftingElement<RiceItem>(typeof(AdvancedCookingSkill), 5, AdvancedCookingSkill.MultiplicativeStrategy),
                new CraftingElement<TomatoSauceItem>(typeof(AdvancedCookingSkill), 5, AdvancedCookingSkill.MultiplicativeStrategy), 
				new CraftingElement<CornmealItem>(typeof(AdvancedCookingSkill), 5, AdvancedCookingSkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(TomatoSUPREMERecipe), Item.Get<TomatoSUPREMEItem>().UILink(), 20, typeof(AdvancedCookingSkill)); 
            this.Initialize(Localizer.DoStr("Tomato S U P R E M E"), typeof(TomatoSUPREMERecipe));
            CraftingComponent.AddRecipe(typeof(StoveObject), this);
        }
    }
}