namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;

    
    [Serialized]
    [Weight(500)]                                          
    public partial class TomatoSauceItem :
        FoodItem            
    {
        public override LocString DisplayName                     { get { return Localizer.DoStr("Tomato Sauce"); } }
        public override LocString DisplayDescription                      { get { return Localizer.DoStr("A Simple Tasty Tomato Sauce."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 5, Fat = 5, Protein = 4, Vitamins = 17};
        public override float Calories                          { get { return 550; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(AdvancedCookingSkill), 1)]    
    public partial class TomatoSauceRecipe : Recipe
    {
        public TomatoSauceRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<TomatoSauceItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<TomatoItem>(typeof(AdvancedCookingSkill), 10, AdvancedCookingSkill.MultiplicativeStrategy), 
				new CraftingElement<OilItem>(typeof(AdvancedCookingSkill), 5, AdvancedCookingSkill.MultiplicativeStrategy), 
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(TomatoSauceRecipe), Item.Get<TomatoSauceItem>().UILink(), 3, typeof(AdvancedCookingSkill)); 
            this.Initialize(Localizer.DoStr("Tomato Sauce"), typeof(TomatoSauceRecipe));
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }
    }
}